classification
Title: sysconfig and distutils.sysconfig differ in subtle ways
Type: Stage: resolved
Components: Distutils, Library (Lib) Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: tarek Nosy List: barry, eric.araujo, tarek
Priority: normal Keywords:

Created on 2010-09-12 23:26 by eric.araujo, last changed 2010-10-01 23:33 by eric.araujo. This issue is now closed.

Messages (5)
msg116251 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-12 23:26
With the recent distutils revert, code that was removed from distutils.sysconfig is now back.  This causes an unfortunate code duplication that raises maintenance cost (see msg116087 for an example).

Even if distutils is feature-frozen, I think that it should be changed to use the sysconfig module again.  Think about it that way: The new feature is sysconfig itself, this does not break the distutils freeze since compatibility would be retained.
msg116318 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-09-13 15:44
That's what I wanted to do first but it turned out to be a bad idea.

This duplication is unfortunate but the freeze is also to prevent third party code that patches distutils to break.

For instance, there's a lot of code out there that just patches distutils.sysconfig paths... So changing it would break them.
msg117681 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-30 00:40
I understand.  This means that sysconfig fixes will have to be ported to distutils.sysconfig and d2/sysconfig.
msg117850 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-10-01 23:28
Not in distutils2 because we want to get rid of it, thats the whole point.
distutils2 will use the sysconfig module I've extracted from distutils.
msg117851 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-10-01 23:33
By “d2/sysconfig” I meant d2._backport.sysconfig.
History
Date User Action Args
2010-10-01 23:33:50eric.araujosetmessages: + msg117851
2010-10-01 23:28:05tareksetmessages: + msg117850
2010-10-01 21:37:16barrysetnosy: + barry
2010-09-30 00:40:24eric.araujosetstatus: open -> closed

messages: + msg117681
stage: resolved
2010-09-13 15:44:36tareksetresolution: wont fix
messages: + msg116318
2010-09-13 01:01:19eric.araujolinkissue6011 dependencies
2010-09-12 23:26:26eric.araujocreate